//
// Copyright (c) 2000 by Tech Soft 3D, LLC.
// The information contained herein is confidential and proprietary to
// Tech Soft 3D, LLC., and considered a trade secret as defined under
// civil and criminal statutes.  Tech Soft 3D shall pursue its civil
// and criminal remedies in the event of unauthorized use or misappropriation
// of its trade secrets.  Use of this information by anyone other than
// authorized employees of Tech Soft 3D, LLC. is granted only under a
// written non-disclosure agreement, expressly prescribing the scope and
// manner of such use.
//
// $Header: /files/homes/master/cvs/hoops_master/shared/partviewer_common/hoops_ddb.cpp,v 1.1 2009-01-23 02:04:47 nathan Exp $
//

#include <Windows.h>
#include <stdio.h>
#include <sstream>
#include <io.h>
using namespace std;


// 3DGS includes
#include "hc.h"
#include "hic.h"

// MVO includes
#include "HBaseView.h"
#include "HBaseModel.h"


#include "HUtility.h" 
#include "HUtilityGeomHandle.h"
#include "HOpMoveHandle.h"
#include "HUtilityGeometryCreation.h"
#include "HIOUtilityGDIOutput.h"


#include "hoops_ddb.h"


#if !defined( HOOPS_VERSION ) && defined( VISUALIZE_3DF_VERSION )
#define HOOPS_VERSION   VISUALIZE_3DF_VERSION
#endif

API int STDCALL DynamicDebug1(void * ptr)
{
   MessageBox(GetFocus(), __FUNCTION__, "", MB_TOPMOST);
 

	HBaseView * m_pHView = (HBaseView *) ptr;
	HBaseModel* model  = m_pHView->GetModel();

	m_pHView->SetRenderMode(HRenderHiddenLine);

	return 1;
}


// This works but don't take care about the constrain
API int STDCALL DynamicDebug2(void * ptr)
{
   MessageBox(GetFocus(), __FUNCTION__, "", MB_TOPMOST);

	return 1;
}

API int STDCALL DynamicDebug3(void * ptr)
{
   MessageBox(GetFocus(), __FUNCTION__, "", MB_TOPMOST);
   return 1;
}

API int STDCALL DynamicDebug4(void * ptr)
{
   MessageBox(GetFocus(), __FUNCTION__, "", MB_TOPMOST);
   //HBaseView * view = (HBaseView *) ptr;
	//Your code here.
	
	return 1;
}

API int STDCALL DynamicDebug5(void * ptr)
{
   MessageBox(GetFocus(), __FUNCTION__, "", MB_TOPMOST);
 
	
	return 1;
}

